Package org.apache.commons.math3.exception

# Class NotStrictlyPositiveException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.apache.commons.math3.exception.MathIllegalArgumentException
org.apache.commons.math3.exception.MathIllegalNumberException
org.apache.commons.math3.exception.NumberIsTooSmallException
org.apache.commons.math3.exception.NotStrictlyPositiveException

All Implemented Interfaces:
  `Serializable`, `ExceptionContextProvider`

public class NotStrictlyPositiveException extends NumberIsTooSmallException
Exception to be thrown when the argument is not greater than 0.

Since:
  2.2
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.commons.math3.exception.MathIllegalNumberException

`INTEGER_ZERO`

## Constructor Summary

Constructors
Constructor
Description
`NotStrictlyPositiveException(Number value)`
Construct the exception.
`NotStrictlyPositiveException(Localizable specific, Number value)`
Construct the exception with a specific context.

## Method Summary

### Methods inherited from class org.apache.commons.math3.exception.NumberIsTooSmallException

`getBoundIsAllowed, getMin`

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalNumberException

`getArgument`

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NotStrictlyPositiveException

public NotStrictlyPositiveException(Number value)
Construct the exception.

Parameters:
  `value` - Argument.

### NotStrictlyPositiveException

public NotStrictlyPositiveException(Localizable specific, Number value)
Construct the exception with a specific context.

Parameters:
  `specific` - Specific context where the error occurred.
  `value` - Argument.